package com.sky.ioc.enums;

import java.util.ArrayList;
import java.util.List;

public enum MessageTypeEnums {

    MESSAGE_TYPE_COMMON(1, "普通消息"),
    MESSAGE_TYPE_REMIND(2, "提醒消息");

    private Integer type;

    private String desc;

    private MessageTypeEnums(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public static String getValue(Integer type) {
        MessageTypeEnums[] messageTypeEnumss = values();
        for (MessageTypeEnums messageTypeEnums : messageTypeEnumss) {
            if (messageTypeEnums.type().equals(type)) {
                return messageTypeEnums.desc();
            }
        }
        return null;
    }

    public static Integer getType(String desc) {
        MessageTypeEnums[] messageTypeEnumss = values();
        for (MessageTypeEnums messageTypeEnums : messageTypeEnumss) {
            if (messageTypeEnums.desc().equals(desc)) {
                return messageTypeEnums.type();
            }
        }
        return null;
    }
    public static List<String> getValues() {
        List<String> values = new ArrayList<>();
        MessageTypeEnums[] messageTypeEnumss = values();
        for (MessageTypeEnums messageTypeEnums : messageTypeEnumss) {
            values.add(messageTypeEnums.desc);
        }
        return values;
    }

    private Integer type() {
        return this.type;
    }

    private String desc() {
        return this.desc;
    }
}
